Package com.mouseviator.fsuipc.helpers

# Class LVarHelper.ShortLVarReadRequest

java.lang.Object
com.mouseviator.fsuipc.datarequest.DataRequest
com.mouseviator.fsuipc.helpers.LVarHelper.ShortLVarReadRequest

All Implemented Interfaces:
  `IDataRequest<java.lang.Short>`, `IReadOnlyRequest<java.lang.Short>`

Enclosing class:
  LVarHelper

    public static class LVarHelper.ShortLVarReadRequest
    extends DataRequest
    implements IReadOnlyRequest<java.lang.Short>

This class implements LVar read (read-only) request. The returned value will be Short (16 bit integer). The only parameter for the only available constructor this class have is the offset at which the value of Lvar will be found (where you told FSUIPC to store it). This class is best used with `LVarHelper.readLVar(java.lang.String, int, com.mouseviator.fsuipc.helpers.LVarHelper.LVarValueFormat)` function or `LVarHelper.readLVar(java.lang.String, int, com.mouseviator.fsuipc.helpers.LVarHelper.LVarValueFormat, com.mouseviator.fsuipc.FSUIPC, boolean)` function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `IDataRequest.RequestType`

- ## Field Summary

  ### Fields inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `BUFFER_LENGTH_BYTE, BUFFER_LENGTH_DOUBLE, BUFFER_LENGTH_FLOAT, BUFFER_LENGTH_INT, BUFFER_LENGTH_LONG, BUFFER_LENGTH_SHORT, dataBuffer, MAX_OFFSET_VALUE, MIN_OFFSET_VALUE, offset, type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ShortLVarReadRequest​(int offset)` | Construct new LVar read request.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Short` | `getValue()` | Returns the short value stored in this read data request.

  ### Methods inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `convertStringToByteArray, copyByteArray, getDataBuffer, getDouble, getFloat, getInt, getLong, getOffset, getShort, getSize, getType, getZeroTerminatedString, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort, setOffset, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `getDataBuffer, getOffset, getSize, getType, setOffset, setType`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IReadOnlyRequest

  `setValue`

- ## Constructor Details

  - ### ShortLVarReadRequest

    public ShortLVarReadRequest​(int offset)
    Construct new LVar read request.
    Parameters:
      `offset` - The offset at which the LVar value will be stored by FSUIPC.

- ## Method Details

  - ### getValue

    public java.lang.Short getValue()
    Returns the short value stored in this read data request.
    Specified by:
      `getValue` in interface `IDataRequest<java.lang.Short>`
    Returns:
      The read request value.